TAAS - Feature #84

Set Booking Class
11/01/2022 06:03 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 11/01/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set Booking Class

Description

Coding Set Booking Class

History

#1 - 11/04/2022 12:09 PM - Junaid M

- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- Assignee changed from Junaid M to Aparna Mathew

- % Done changed from 0 to 10

#2 - 11/09/2022 09:47 AM - Aparna Mathew
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#3 - 11/17/2022 09:51 AM - Aparna Mathew

- Status changed from Coding Started to Patrticialy Coding Done

#4 - 11/26/2022 03:37 PM - Aparna Mathew

Date search procedure check pending

#5 - 12/01/2022 12:26 PM - Aparna Mathew

- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#6 - 12/01/2022 05:49 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND ****
1.SHOW PROPER ALERTS & MESSAGES
(WHILE ERROR OCCUR ON DATE)
#7 - 01/12/2023 05:59 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 01/13/2023 01:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIXBUGS ON EFFECTIVE DATE
(DATE AUTOMATICALLY CHANGE TO RECENT EFFECTIVE DATE)

#9 - 03/11/2023 03:59 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 03/13/2023 03:50 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.FIX BUGS ON EFFECTIVE DATE

(DATE AUTOMATICALLY CHANGE TO RECENT EFFECTIVE DATE - While click OK button)
2.Reorder grid columns (Premium to Economy)

3.Prevent duplication while update

4.Set Coma sign between characters

#11 - 05/08/2023 06:07 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 06/24/2023 06:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED

1. Add Airline code
#13 - 06/25/2023 10:40 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 07/20/2023 06:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHOOSING DEFAULT AIRLINE SKYLINE JET
2.FILTER TAB NOT WORKING
3.ERROR WHILE CHOOSING DATE

#15 - 08/24/2023 06:09 PM - unnikannan S
4. SHOWING ALREADY ADDED DATA WHILE SWITCHING OK TAB

#16 - 09/26/2023 04:42 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 10/05/2023 06:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.FILTER TAB NOT WORKING
2.ERROR WHILE CLEARING DATE

#18 - 10/06/2023 06:28 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 10/13/2023 11:41 AM - unnikannan S
TESTING DONE

#20 - 11/23/2023 05:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ISSUE IN EFFECTIVE DATE
2.ADD COLUMN FOR EFFECTIVE DATE IN LIST
3.VALIDATION ERROR

#21 - 12/07/2023 04:15 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 10/26/2024 11:39 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we open the module by default date section and ok button should not be disabled (refer- set ROE).
2. Change the tooltip for the tick box in the class section.

#23 - 10/29/2024 09:23 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#24 - 12/03/2024 02:03 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#25 - 01/02/2025 03:39 PM - Arathy PS

- Assignee changed from Aparna Mathew to Greeshma S

#26 - 05/02/2025 10:59 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found
1)Booking class set in each class remove on focus out from that field

#27 - 05/02/2025 04:57 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

1-CsModel.cs 1.91 KB 11/04/2022 Junaid M
2-tsModel.ts 1.4 KB 11/04/2022 Junaid M
3-CsFile.cs 17.4 KB 11/04/2022 Junaid M
4-CsControllerFile.cs 32.7 KB 11/04/2022 Junaid M
5-TsFile.ts 13.8 KB 11/04/2022 Junaid M
6-HtmlFile.html 1.92 KB 11/04/2022 Junaid M
sql.sql 15.2 KB 11/04/2022 Junaid M
